package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.OpEnergyStrategyTemplate;

/**
 * 策略模板Mapper接口
 *
 * @author ruoyi
 * @date 2025-12-01
 */
public interface OpEnergyStrategyTemplateMapper {
    /**
     * 查询策略模板
     *
     * @param id 策略模板主键
     * @return 策略模板
     */
    OpEnergyStrategyTemplate selectTemplateById(Long id);

    /**
     * 查询策略模板列表
     *
     * @param template 策略模板
     * @return 策略模板集合
     */
    List<OpEnergyStrategyTemplate> selectTemplateList(OpEnergyStrategyTemplate template);

    /**
     * 新增策略模板
     *
     * @param template 策略模板
     * @return 结果
     */
    int insertTemplate(OpEnergyStrategyTemplate template);

    /**
     * 修改策略模板
     *
     * @param template 策略模板
     * @return 结果
     */
    int updateTemplate(OpEnergyStrategyTemplate template);

    /**
     * 删除策略模板
     *
     * @param id 策略模板主键
     * @return 结果
     */
    int deleteTemplateById(Long id);

    /**
     * 批量删除策略模板
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTemplateByIds(Long[] ids);
}
